Poll collection status
curl --request GET \
--url https://{gatewayHost}/api/collection/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{gatewayHost}/api/collection/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{gatewayHost}/api/collection/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "ORDER_12345",
"fspId": "CLICKPESA",
"amount": "1000.00",
"currency": "TZS",
"status": "COMPLETED",
"gatewayRef": "LCPCATJHWWYQBY",
"collectedAmount": "1000",
"fspFee": "0.00",
"fspStatus": {
"status": "SUCCESS",
"gatewayResponse": [
{
"channel": "AIRTEL-MONEY",
"status": "SUCCESS",
"paymentReference": "MP260521.1357.V51245"
}
]
}
}Collections
Poll collection status
Poll until COMPLETED (or a terminal failure). Supported for ClickPesa rails (Airtel Money, Mixx by Yas, Halotel).
GET
/
collection
/
status
Poll collection status
